import { WorldChunk } from "../WorldChunk/WorldChunk";

/**
 * 
 * @param {PIXI.Container} objectRef 
 * @param {String} type 
 */
export function TerrainObjectProps(objectRef, {type}) {
    this.obj = objectRef;
    this.type = type;
};

/**
 * 
 * @param {PIXI.Container} objectRef 
 * @param {String} type 
 * @param {Number} num 
 */
export function VegetationObjectProps(objectRef, {type, num}) {
    this.obj = objectRef;
    this.type = type;
    this.num = num;
};

/**
 * 
 * @param {PIXI.Container} objectRef 
 * @param {String} type 
 * @param {Number} goldSec 
 */
export function BuildingsObjectProps(objectRef, {type, goldSec}) {
    this.obj = objectRef;
    this.type = type;
    this.goldSec = goldSec;
};

/**
 * 
 * @param {WorldChunk} chunkRef 
 * @param {Boolean} central 
 */
export function VisibleChunkProps(chunkRef, central) {
    this.chunkRef = chunkRef;
    this.central = central;
}